--
-- HeaderSpeed.lua
-- Specialization for Headers - Leaves the forager to do speed level 2 or 27 mph.
--
-- @author  Henly20
-- @date  1/4/2011
--

HeaderSpeed = {};

function HeaderSpeed.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Cutter, specializations);
end;

function HeaderSpeed:load(xmlFile)

      self.speedLimit = 27.5;
end;

function HeaderSpeed:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HeaderSpeed:keyEvent(unicode, sym, modifier, isDown)
end;

function HeaderSpeed:update(dt)

end;

function HeaderSpeed:draw()
end;

function HeaderSpeed:onAttach(attacherVehicle)

end;

function HeaderSpeed:onDetach()

end;

function HeaderSpeed:delete()
end;